# -*- coding: utf-8 -*-
import glob
import os
import shutil
from fabric.api import task


@task(default=True)
def jam99():
    "Copy Marohn master bibtex file to bib/"
    master_bib = "/Users/jam99/Dropbox/UNSORTED/UNSORTED_bib.bib"
    dest = "bibliography/jam99.bib"
    shutil.copyfile(master_bib, dest)
    print("Copied {0} to {1}".format(master_bib,dest))

@task
def clean():
    "Remove auxilliary, temporary LaTeX files"
    globs = [
            '*.aux',
            '*.bak',
            '*.bbl',
            '*.blg',
            '*.dvi',
            '*.fgx',
            '*.log',
            '*.out',
            '*.pdf',
            '*.synctex.gz',
            '*.sav',
            '*.spl',
            '*.tbx',
            '*.vdx',
            '*.fdb_latexmk',
            '*.fls',
            '*.mp',
            '*.top',
            '*.tui',
            '*.pyc']
    to_remove = []

    for glob_pattern in globs:
        to_remove.extend(glob.glob(glob_pattern))

    for filename in to_remove:
        os.remove(filename)

    print("Removed aux / compiled files")
